/**
 * @file   libConstants.h
 * @brief  OPERATOR constants
 *
 * @responsible Filip Jenicek <fjenicek@kerio.com>
 * @copyright Copyright (C) 1997-2011 Kerio Technologies
 *
 */

/////////////////////////////////////////////////////////
// !! DO NOT EDIT !! - generated from libConstants.idl //
/////////////////////////////////////////////////////////

#ifndef _LIB_CONSTANTS_H
#define	_LIB_CONSTANTS_H

/* macro definitions */
#define QT_TRANSLATE_NOOP(context, sourceText) (sourceText)

#define OPERATOR_LogError "error"

#define OPERATOR_LogWarning "warning"

#define OPERATOR_LogDebug "debug"

#define OPERATOR_LogEvent "event"

#define OPERATOR_LogSecurity "security"

#define OPERATOR_LogAuth "auth"

#define OPERATOR_LogKernel "kernel"

#define OPERATOR_LogConfig "config"

#define DLOG_ami "debug_ami"

#define DLOG_ast "debug_ast"

#define DLOG_astdbg "debug_astdbg"

#define DLOG_asteriskmanager "debug_asteriskmanager"

#define DLOG_connectintegration "debug_connectintegration"

#define DLOG_dahdi "debug_dahdi"

#define DLOG_dhcp "debug_dhcp"

#define DLOG_email "debug_email"

#define DLOG_events "debug_events"

#define DLOG_http "debug_http"

#define DLOG_ldap "debug_ldap"

#define DLOG_mykerio "debug_mykerio"

#define DLOG_provisioning "debug_provisioning"

#define DLOG_remotestorage "debug_remotestorage"

#define DLOG_scheduler "debug_scheduler"

#define DLOG_session "debug_session"

#define DLOG_sqlread "debug_sqlread"

#define DLOG_sqlwrite "debug_sqlwrite"

#define DLOG_systemdaemons "debug_systemdaemons"

#define DLOG_turnserver "debug_turnserver"

#define DLOG_updatechecker "debug_updatechecker"

#define DLOG_upgrade "debug_upgrade"

#define DLOG_webserver "debug_webserver"

#define OPERATOR_KsyslogMgrSock "/run/ksyslog_mgr.sock"

#define OPERATOR_LibwebdSock "/run/libwebd.sock"

#define OPERATOR_TempDirectory "/opt/kerio/operator/updates"

#define OPERATOR_PacketSnifferTempDirectory "/tmp"

#define OPERATOR_HttpsAdministrationPort "4021"

#define OPERATOR_SessionAdministration "SESSION_OPERATOR_WEBADMIN"

#define OPERATOR_TokenAdministration "TOKEN_OPERATOR_WEBADMIN"

#define OPERATOR_SessionMyPhone "SESSION_OPERATOR_CLIENT"

#define OPERATOR_SessionLimitAdminSoft 1

#define OPERATOR_SessionLimitAdminHard 10

#define OPERATOR_SessionLimitUserSoft 2

#define OPERATOR_SessionLimitUserHard 312

#define OPERATOR_SessionLimitUserSoftRemember 240

#define OPERATOR_SessionLimitUserHardRemember 480

#define OPERATOR_MaxSessionsPerUser 50

#define OPERATOR_UploadDirectory "/var/cache/tmp/uploads"

#define OPERATOR_DownloadDirectory "/var/cache/tmp/downloads"

#define OPERATOR_DownloadReuseDirectory "/var/cache/tmp/reuse"

#define OPERATOR_VoicemailDirectory "/var/spool/operator/voicemail-users"

#define OPERATOR_RecordingDirectory "/var/spool/asterisk/monitor"

#define OPERATOR_AudioLibraryDirectory "/var/lib/operator/audio-library"

#define OPERATOR_DefaultLanguage 1

#define OPERATOR_DAHDI_SIGNALLING_EM "em"

#define OPERATOR_DAHDI_SIGNALLING_EM_E1 "em_e1"

#define OPERATOR_DAHDI_SIGNALLING_EM_W "em_w"

#define OPERATOR_DAHDI_SIGNALLING_FEATD "featd"

#define OPERATOR_DAHDI_SIGNALLING_FEATDMF "featdmf"

#define OPERATOR_DAHDI_SIGNALLING_FEATDMF_TA "featdmf_ta"

#define OPERATOR_DAHDI_SIGNALLING_FEATB "featb"

#define OPERATOR_DAHDI_SIGNALLING_FGCCAMA "fgccama"

#define OPERATOR_DAHDI_SIGNALLING_FGCCAMAMF "fgccamamf"

#define OPERATOR_DAHDI_SIGNALLING_SF "sf"

#define OPERATOR_DAHDI_SIGNALLING_SF_W "sf_w"

#define OPERATOR_DAHDI_SIGNALLING_SF_FEATD "sf_featd"

#define OPERATOR_DAHDI_SIGNALLING_SF_FEATDMF "sf_featdmf"

#define OPERATOR_DAHDI_SIGNALLING_SF_FEATB "sf_featb"

#define OPERATOR_DAHDI_SIGNALLING_E911 "e911"

#define OPERATOR_DAHDI_SIGNALLING_SS7 "ss7"

#define OPERATOR_DAHDI_SIGNALLING_FXS_LS "fxs_ls"

#define OPERATOR_DAHDI_SIGNALLING_FXS_GS "fxs_gs"

#define OPERATOR_DAHDI_SIGNALLING_FXS_KS "fxs_ks"

#define OPERATOR_DAHDI_SIGNALLING_FXS_DEFAULT "fxs_ks"

#define OPERATOR_DAHDI_SIGNALLING_FXO_LS "fxo_ls"

#define OPERATOR_DAHDI_SIGNALLING_FXO_GS "fxo_gs"

#define OPERATOR_DAHDI_SIGNALLING_FXO_KS "fxo_ks"

#define OPERATOR_DAHDI_SIGNALLING_FXO_DEFAULT "fxo_ks"

#define OPERATOR_DAHDI_SIGNALLING_BRI_CPE "bri_cpe"

#define OPERATOR_DAHDI_SIGNALLING_BRI_CPE_PTMP "bri_cpe_ptmp"

#define OPERATOR_DAHDI_SIGNALLING_BRI_DEFAULT "bri_cpe"

#define OPERATOR_DAHDI_SIGNALLING_PRI_CPE "pri_cpe"

#define OPERATOR_DAHDI_SIGNALLING_PRI_DEFAULT "pri_cpe"

#define OPERATOR_DAHDI_CID_SIGNALLING_BELL "bell"

#define OPERATOR_DAHDI_CID_SIGNALLING_V23 "v23"

#define OPERATOR_DAHDI_CID_SIGNALLING_V23_JP "v23_jp"

#define OPERATOR_DAHDI_CID_SIGNALLING_DTMF "dtmf"

#define OPERATOR_DAHDI_CID_SIGNALLING_SMDI "smdi"

#define OPERATOR_DAHDI_CID_START_RING "ring"

#define OPERATOR_DAHDI_CID_START_POLARITY "polarity"

#define OPERATOR_DAHDI_CID_START_POLARITY_IN "polarity_IN"

#define OPERATOR_DAHDI_CID_START_DTMF "dtmf"

enum OPERATOR_UserAttrType {
	OPERATOR_UserAttrTypeFullName = 1,
	OPERATOR_UserAttrTypePasswordHash = 2,
	OPERATOR_UserAttrTypeEmail = 3,
	OPERATOR_UserAttrTypePinHash = 4,
	OPERATOR_UserAttrTypeVoicebox = 5,
	OPERATOR_UserAttrTypeLanguageAdmin = 6,
	OPERATOR_UserAttrTypeWebsettingWebAssistEnabled = 7,
	OPERATOR_UserAttrTypeDisabled = 8,
	OPERATOR_UserAttrTypePrimaryExtNumber = 9,
	OPERATOR_UserAttrTypeLanguageMyPhone = 10,
	OPERATOR_UserAttrTypeLanguagePbx = 11,
	OPERATOR_UserAttrTypeCallHistoryTimestamp = 12,
	OPERATOR_UserAttrTypeLastUsedExtension = 13,
	OPERATOR_UserAttrTypeAmiEnabled = 15,
	OPERATOR_UserAttrTypeAmiPassword = 16,
	OPERATOR_UserAttrTypeVoicemailDisabled = 17,
	OPERATOR_UserAttrTypeVoicemailPress0Enabled = 18,
	OPERATOR_UserAttrTypeVoicemailPress0Telnum = 19,
	OPERATOR_UserAttrTypeWebrtcEnabled = 20
};

enum OPERATOR_ColumnTypes {
	OPERATOR_String = 0,
	OPERATOR_Number = 1,
	OPERATOR_Date = 2,
	OPERATOR_Boolean = 3
};

enum OPERATOR_ExtensionStatusEnum {
	OPERATOR_StatusNotRegistered = 0,
	OPERATOR_StatusRegistered = 1,
	OPERATOR_StatusUp = 2,
	OPERATOR_StatusDown = 3
};

enum OPERATOR_simpleValues {
	OPERATOR_svNumberOfFirstExtension = 1,
	OPERATOR_svProvisioningEnabled = 2,
	OPERATOR_svMaxUploadFileSize = 3,
	OPERATOR_svDbSchemaVersion = 4,
	OPERATOR_svUpdateCheckerEnabled = 5,
	OPERATOR_svUpdateCheckerBeta = 6,
	OPERATOR_svUpdateCheckerCode = 7,
	OPERATOR_svUpdateCheckerDescription = 8,
	OPERATOR_svUpdateCheckerDownloadURL = 9,
	OPERATOR_svUpdateCheckerInfoUrl = 10,
	OPERATOR_svUpdateCheckerLastCheck = 11,
	OPERATOR_svUpdateCheckerReminderId = 12,
	OPERATOR_svUpdateCheckerReminderAuth = 13,
	OPERATOR_svUpgradeFinished = 14,
	OPERATOR_svUpdateCheckerNewVersion = 15,
	OPERATOR_svNTPServer = 16,
	OPERATOR_svTimeZone = 17,
	OPERATOR_svNTPServerEnabled = 18,
	OPERATOR_svProvisioningMasterPassword = 19,
	OPERATOR_svEmergencyNumberDirectDialing = 20,
	OPERATOR_svTrialLicenseId = 21,
	OPERATOR_svProvisioningNewPhoneExtension = 22,
	OPERATOR_svPacketSnifferAvailSpace = 26,
	OPERATOR_svAsteriskMaxCalls = 27,
	OPERATOR_svAsteriskMaxConcurentVoicemailRecordings = 28,
	OPERATOR_svDialplanChanged = 29,
	OPERATOR_svPHPSessionLimitAdminSoft = 30,
	OPERATOR_svPHPSessionLimitAdminHard = 31,
	OPERATOR_svPHPSessionLimitMyPhoneSoft = 32,
	OPERATOR_svPHPSessionLimitMyPhoneHard = 33,
	OPERATOR_svPHPSessionLimitMyPhoneSoftRemember = 34,
	OPERATOR_svPHPSessionLimitMyPhoneHardRemember = 35,
	OPERATOR_svSecureAccessMyPhone = 36,
	OPERATOR_svSecureAccessAdmin = 37,
	OPERATOR_svSecurityMaxCallDuration = 38,
	OPERATOR_svSecurityUnsuccessfulLoginCount = 39,
	OPERATOR_svSecurityUnsuccessfulLoginTime = 40,
	OPERATOR_svSecurityBlockSourceIpTime = 41,
	OPERATOR_svSecurityEmailNotificationEnabled = 42,
	OPERATOR_svSecurityEmailNotificationAddress = 43,
	OPERATOR_svSecurityBlockAllOutgoingCalls = 44,
	OPERATOR_svSecurityBlockAllOutgoingCallsTimestamp = 45,
	OPERATOR_svRTPTimeout = 46,
	OPERATOR_svRTPHoldTimeout = 47,
	OPERATOR_svRTPKeepAlive = 48,
	OPERATOR_svMaxMultipleRegistrations = 49,
	OPERATOR_svNatSupportEnabled = 50,
	OPERATOR_svNatSupportRTPFrom = 51,
	OPERATOR_svNatSupportRTPTo = 52,
	OPERATOR_svNatSupportLocalIAG = 53,
	OPERATOR_svNatSupportPublicIp = 54,
	OPERATOR_svTranslitaration = 55,
	OPERATOR_svUservoiceServerGuid = 56,
	OPERATOR_svUservoiceUsername = 57,
	OPERATOR_svUservoiceEmail = 58,
	OPERATOR_svAsteriskUserAgent = 59,
	OPERATOR_svLDAPUpgraded = 60,
	OPERATOR_svUpdateCheckerAutoDownload = 61,
	OPERATOR_svUniqueHTTPHash = 62,
	OPERATOR_svProductActivated = 63,
	OPERATOR_svUserForwardingBackground = 64,
	OPERATOR_svCallParkingTimeout = 65,
	OPERATOR_svCallParkingDigits = 66,
	OPERATOR_svAmiEnabled = 67,
	OPERATOR_svSNMPEnabled = 68,
	OPERATOR_svSNMPLocation = 69,
	OPERATOR_svSNMPContact = 70,
	OPERATOR_svSNMPVersion = 71,
	OPERATOR_svSNMPv2Community = 72,
	OPERATOR_svSNMPv3User = 73,
	OPERATOR_svSNMPv3Password = 74,
	OPERATOR_svProvisioningMasterPasswordEnabled = 75,
	OPERATOR_svProvisioningNTPRefreshTimeout = 76,
	OPERATOR_svHostname = 77,
	OPERATOR_svLastSaas = 78,
	OPERATOR_svShowClientStatisticsConfirmation = 79,
	OPERATOR_svCollectClientStatistics = 80,
	OPERATOR_svKUSOEnable = 81,
	OPERATOR_svKUSOHostname = 82,
	OPERATOR_svKUSOUsername = 83,
	OPERATOR_svKUSOPassword = 84,
	OPERATOR_svKUSOKdirServerId = 85,
	OPERATOR_svDhcpLeaseTime = 86,
	OPERATOR_svFcBlindTransferEnabled = 87,
	OPERATOR_svFcBlindTransferNumber = 88,
	OPERATOR_svFcAttendedTransferEnabled = 89,
	OPERATOR_svFcAttendedTransferNumber = 90,
	OPERATOR_svFcDisconnectEnabled = 91,
	OPERATOR_svFcDisconnectNumber = 92,
	OPERATOR_svPBXCountry = 93,
	OPERATOR_svRemoteStorageFtpUsername = 94,
	OPERATOR_svRemoteStorageFtpPassword = 95,
	OPERATOR_svRemoteStorageFtpHost = 96,
	OPERATOR_svRemoteStorageSpEmail = 97,
	OPERATOR_svRemoteStorageSpPassword = 98,
	OPERATOR_svRemoteStorageSpHost = 99,
	OPERATOR_svRemoteStorageNotificationErrorEmail = 100,
	OPERATOR_svRemoteStorageNotificationErrorEnabled = 101,
	OPERATOR_svRecordingSettingsLocalEnabled = 102,
	OPERATOR_svRecordingSettingsLocalLimit = 103,
	OPERATOR_svRecordingSettingsRemoteEnabled = 104,
	OPERATOR_svRecordingSettingsRemoteType = 105,
	OPERATOR_svRecordingSettingsRemotePath = 106,
	OPERATOR_svLastDialplanHash = 107,
	OPERATOR_svProvisioningDisplayLogo = 108,
	OPERATOR_svVoicemailRequirePassword = 109,
	OPERATOR_svProvisioningAutodialTimeout = 110,
	OPERATOR_svSalesforceHostname = 111,
	OPERATOR_svSalesforceUseSecureConnection = 112,
	OPERATOR_svSalesforceDefaultLanguage = 113,
	OPERATOR_svExpiryDefault = 114,
	OPERATOR_svExpiryMaximum = 115,
	OPERATOR_svExpiryMinimum = 116,
	OPERATOR_svSalesforceKerioOperatorHostname = 117,
	OPERATOR_svSalesforcekerioOperatorSecureConnection = 118,
	OPERATOR_svExternalInterfacePriMode = 119,
	OPERATOR_svTransferTimeoutEnabled = 120,
	OPERATOR_svTransferTimeout = 121,
	OPERATOR_svNatSupportPublicIpUpdate = 122,
	OPERATOR_svNatSupportPublicIpUpdateInterval = 123,
	OPERATOR_svAlertEmailAddress = 124,
	OPERATOR_svUpdateCheckerNotificationEnabled = 125,
	OPERATOR_svUpdateCheckerNotificationCode = 126,
	OPERATOR_svBlacklistBlockAnonymous = 127,
	OPERATOR_svAttendedTransferBeep = 128,
	OPERATOR_svT38Support = 129,
	OPERATOR_svTosSip = 130,
	OPERATOR_svTosAudio = 131,
	OPERATOR_svTosVideo = 132,
	OPERATOR_svTimerT1 = 133,
	OPERATOR_svWebrtcOpus = 134,
	OPERATOR_svMyKerioEnabled = 135,
	OPERATOR_svMyKerioHubUrl = 136,
	OPERATOR_svMyKerioAppUrl = 137,
	OPERATOR_svMyKerioJoinUrl = 138,
	OPERATOR_svMyKerioApplianceId = 139,
	OPERATOR_svKey = 140,
	OPERATOR_svSecuritySystemNotificationEnabled = 141,
	OPERATOR_svWebrtcIceServers = 142,
	OPERATOR_svUpdateCheckSuccessful = 143,
	OPERATOR_svWebrtcEnabled = 144,
	OPERATOR_svCloudEventsPassword = 145,
	OPERATOR_svCloudAdminPasswordHash = 146,
	OPERATOR_svFramingType = 147
};

#define OPERATOR_ProductColor "e67606"

#define OPERATOR_AmiPort 5038

#define OPERATOR_AmiInternalPort 6038

#define OPERATOR_AmiInternalAdminUser "__operator_admin__"

#define OPERATOR_AmiInternalAdminSecret "__operator_admin__"

#define OPERATOR_AmiInternalEventUser "__operator_event__"

#define OPERATOR_AmiInternalEventSecret "__operator_event__"

#define OPERATOR_TFTP_FS_PATH "/var/tftp"

#define OPERATOR_CallHistoryDb "/var/log/asterisk/cdr.db"

#define OPERATOR_RuntimeDb "/tmp/runtime.db"

#define OPERATOR_SqliteBusyTimeout 10000

#define OPERATOR_StatisticsDb "/opt/kerio/operator/running/statistics.db"

#define OPERATOR_StatisticsVersion 3

#define OPERATOR_StatisticsSvVersion 1

#define OPERATOR_StatisticsSvTimestamp 2

#define OPERATOR_StatisticsSvTickCount 3

#define OPERATOR_StatisticsReportIntervalMin 1209600

#define OPERATOR_StatisticsReportIntervalMax 1814400

#define OPERATOR_SocketTimeout 10

enum OPERATOR_WebComponent {
	OPERATOR_ComponentUser = 0,
	OPERATOR_ComponentAdmin = 1,
	OPERATOR_ComponentSipClient = 2
};

#define OPERATOR_VarTmp "/var/cache/tmp"

#define OPERATOR_ProvUnpackTmpDir "/var/cache/tmp/prov-pkg-unpack-tmp"

#define OPERATOR_ProvFirmwareTmpDir "/var/cache/tmp/prov-firmware-tmp"

#define OPERATOR_LicenseDir "/var/operator/license"

#define OPERATOR_SessionDir "/var/lib/operator/sessions"

#define OPERATOR_UserTicketsDir "/var/lib/operator/user-tickets"

#define OPERATOR_DialplanCache "/var/cache/dialplan"

#define OPERATOR_ProvModuleLocationSystem "/opt/kerio/operator/lib/provisioning/modules"

#define OPERATOR_ProvModuleLocationUser "/var/lib/operator/provisioning/modules"

#define OPERATOR_ProvResyncLocationBuiltin "/opt/kerio/operator/lib/provisioning/resync"

#define OPERATOR_ProvFirmwareLocation "/var/lib/operator/provisioning/firmware"

#define OPERATOR_ProvOverrideLocation "/var/lib/operator/provisioning/overrides"

#define OPERATOR_ProvFirmwareTmpMetaFile "OPERATOR_METADATA"

#define OPERATOR_LockBase "/tmp/locks"

#define OPERATOR_DeferredQueue "/tmp/deferred"

#define OPERATOR_ProvTemplatePhpCache "/tmp/prov-template-cache"

#define OPERATOR_ProvPkgExitTempFail 75

#define OPERATOR_ProvPkgExitBadSignature 101

#define OPERATOR_ProvPkgExitUnsigned 102

#define OPERATOR_ProvPkgExitInvalid 103

#define OPERATOR_ProvPkgExitNotFound 104

#define OPERATOR_ProvPkgExitInUse 105

#define OPERATOR_ProvPkgExitLogic 106

#define OPERATOR_ProvPkgExitBug 199

#define OPERATOR_ProvGenExitPassNext 110

#define OPERATOR_ProvGenExitNotFound 104

#define OPERATOR_ProvGenExitError 111

#define OPERATOR_ProvGenExitDontReply 112

#define OPERATOR_ProvFwExitInvalid 103

#define OPERATOR_ProvFwExitError 111

#define OPERATOR_ProvOverExitMergeConflict 120

#define OPERATOR_ProvOverExitConflictMarkers 121

#define OPERATOR_ProvOverExitPhpError 122

#define OPERATOR_ProvOverExitError 111

#define OPERATOR_ProvMarkerTimeout 600

#define OPERATOR_ProvResyncRetryInterval 300

#define OPERATOR_ProvResyncMaxTime 1800

enum OPERATOR_ProvNotifyUnsyncedState {
	OPERATOR_ProvNotifySynced = 0,
	OPERATOR_ProvNotifyUnsynced = 1,
	OPERATOR_ProvNotifyUnsyncedAck = 2
};

#define OPERATOR_MaxUploadSize 2097152000

enum OPERATOR_ProxyType {
	OPERATOR_ProxyTypeOutbound = 0,
	OPERATOR_ProxyTypeInbound = 1,
	OPERATOR_ProxyTypeRegistrar = 2
};

#define OPERATOR_DiskSpaceReserveFile "/var/RESERVE"

#define OPERATOR_DowngradingStamp "/var/downgrade_in_progress"

#define KTS_TokenNameAdministration "TOKEN_OPERATOR_WEBADMIN"

#define KTS_TokenNameMyPhone "TOKEN_OPERATOR_CLIENT"

#define KTS_TokenName ""

#define KTS_EditPasswordString "********"

#define KTS_DefaultPasswordLength 16

#define KTS_DefaultPinLength 4

#define KTS_UserInterfaceName "MyPhone"

#define KTS_AdminInterfaceName "Administration"

#define KTS_FullAdmin 1

#define KTS_User 2

#define KTS_Auditor 3

#define KTS_True 1

#define KTS_False 0

#define KTS_CallRightNoRestriction 1

#define KTS_VoicemailNew "INBOX"

#define KTS_VoicemailOld "Old"

#define KTS_VoicemailWork "Work"

#define KTS_VoicemailFamily "Family"

#define KTS_VoicemailFun "Fun"

#define KTS_VoicemailInbox "INBOX/Old"

#define KTS_UserCallHistoryGetLimit 1000

#define KTS_RingRulesRingExtension 1

#define KTS_RingRulesRingExtensionTimeout 15

#define KTS_RingRulesVoicemailBusy 1

#define KTS_RingRulesVoicemailFallback 1

#define KTS_RingRulesVoicemailFallbackTimeout 15

#define KTS_SchedulerActionRestartAllIpPhones "restartAllIpPhones"

#define KTS_SchedulerActionUpdateChecker "updateChecker"

#define KTS_SchedulerActionAsteriskWatchdog "asteriskWatchDog"

#define KTS_SchedulerActionLdapSync "ldapSync"

#define KTS_SchedulerActionVoluntaryStatistics "voluntaryStatistics"

#define KTS_SchedulerActionSystemBackup "systemBackup"

#define KTS_AdminUsername "Admin"

#define KTS_PasswordGeneratorCharacters "abcdefghijkmnpqrstuxyzABCDEFGHJKLMNPQRSTUXYZ23456789"

enum KTS_DirectoryServiceType {
	KTS_DirectoryServiceActiveDirectory = 1,
	KTS_DirectoryServiceAppleOpenDirectory = 2
};

enum KTS_PhoneTypeEnum {
	KTS_Sip = 1,
	KTS_Analog = 2
};

enum KTS_ExternalInterfaceStatusEnum {
	KTS_ExtStatusNotRegisteredOrConfigured = 0,
	KTS_ExtStatusRegistered = 1,
	KTS_ExtStatusHostnameUnavailable = 2,
	KTS_ExtStatusAsteriskIsNotRunning = 3,
	KTS_ExtStatusAnalogDown = 4,
	KTS_ExtStatusHwCardNotFunctional = 5
};

enum KTS_Entity {
	KTS_EntityKerioWeb = 0,
	KTS_EntityOperator = 1
};

enum KTS_Validator {
	KTS_UsernameValidator = 0,
	KTS_FullNameValidator = 1,
	KTS_ExtensionNumberValidator = 2,
	KTS_ExternalNumberValidator = 3,
	KTS_ExternalNumberInlineValidator = 4,
	KTS_PrefixForDialOutValidator = 5,
	KTS_PrefixesForDialOutValidator = 6,
	KTS_PinValidator = 7,
	KTS_PasswordValidator = 8,
	KTS_HwAddressValidator = 9,
	KTS_InterfaceExternalNumberValidator = 10,
	KTS_InterfaceNameValidator = 11,
	KTS_DialKeyValidator = 12,
	KTS_3rdPartyUserNameDomainValidator = 13,
	KTS_DomainValidatorWithPort = 14,
	KTS_FileNameValidator = 15,
	KTS_LineNumberValidator = 16,
	KTS_SipAccountNameSuffixValidator = 17,
	KTS_NetworkMaskValidator = 18,
	KTS_SoftPhoneDialplanMatchValidator = 19,
	KTS_SoftPhoneDialplanAddValidator = 20,
	KTS_SoftPhoneDialplanRemoveValidator = 21,
	KTS_FeatureCodeValidator = 22,
	KTS_ChannelIdValidator = 23,
	KTS_PlainStringValidator = 24,
	KTS_DialKeysPauseValidator = 25,
	KTS_CallerIdValidator = 26,
	KTS_TransformationMatchValidator = 27,
	KTS_TransformationAddValidator = 28,
	KTS_DomainPortValidator = 29,
	KTS_DomainPortMultipleValidator = 30,
	KTS_DomainValidator = 31,
	KTS_DomainMultipleValidator = 32
};

enum KTS_CallQueueStrategy {
	KTS_StrategyRingAll = 1,
	KTS_StrategyRoundRobin = 2,
	KTS_StrategyLeastRecent = 3,
	KTS_StrategyFewestCalls = 4,
	KTS_StrategyRandom = 5,
	KTS_StrategyRoundRobinMemory = 6,
	KTS_StrategyLinear = 7
};

enum KTS_IagType {
	KTS_IagHost = 0,
	KTS_IagNetwork = 1,
	KTS_IagRange = 2,
	KTS_IagChildGroup = 3,
	KTS_IagFirewall = 4
};

enum KTS_IvrDefault {
	KTS_IvrDefaultDial = 0,
	KTS_IvrDefaultPrevMenu = 1,
	KTS_IvrDefaultMainMenu = 2,
	KTS_IvrDefaultTerminateCall = 3,
	KTS_IvrDefaultSubmenu = 4,
	KTS_IvrDefaultBusy = 5
};

enum KTS_IvrAction {
	KTS_IvrAnnouncement = 0,
	KTS_IvrActionDial = 1,
	KTS_IvrActionSubMenu = 2,
	KTS_IvrActionPrevMenu = 3,
	KTS_IvrActionMainMenu = 4,
	KTS_IvrActionTerminateCall = 5,
	KTS_IvrActionTimeConditionTrue = 6,
	KTS_IvrActionTimeConditionFalse = 7,
	KTS_IvrActionRepeat = 8,
	KTS_IvrActionDayNightModeDay = 9,
	KTS_IvrActionDayNightModeNight = 10,
	KTS_IvrActionBusy = 11
};

enum KTS_SmtpSecure {
	KTS_SmtpSecureNone = 0,
	KTS_SmtpSecureTlsAvailable = 1,
	KTS_SmtpSecureTls = 2,
	KTS_SmtpSecureSsl = 3
};

enum KTS_SmtpRelayType {
	KTS_SmtpRelayTypeNone = 0,
	KTS_SmtpRelayTypeSmtp = 1,
	KTS_SmtpRelayTypeMyKerio = 2
};

enum KTS_ExtensionType {
	KTS_ExtensionTypeUnknown = 0,
	KTS_ExtensionTypeLine = 1,
	KTS_ExtensionTypeInterface = 2,
	KTS_ExtensionTypeOutboundRoute = 3,
	KTS_ExtensionTypeConference = 4,
	KTS_ExtensionTypeCallQueue = 5,
	KTS_ExtensionTypeIvr = 6,
	KTS_ExtensionTypeVoicemail = 7,
	KTS_ExtensionTypeEmergencyNumber = 8,
	KTS_ExtensionTypeRingGroup = 9,
	KTS_ExtensionTypeEchoService = 10,
	KTS_ExtensionTypeMusicService = 11,
	KTS_ExtensionTypeDialByExtService = 12,
	KTS_ExtensionTypeDialByNameService = 13,
	KTS_ExtensionTypeCurrentTimeService = 14,
	KTS_ExtensionTypeRecordAudioService = 15,
	KTS_ExtensionTypeCallPickupService = 16,
	KTS_ExtensionTypeDirectedCallPickupService = 17,
	KTS_ExtensionTypeSpeedDial = 18,
	KTS_ExtensionTypeCallParkingService = 19,
	KTS_ExtensionTypeLineGroup = 20,
	KTS_ExtensionTypeFaxReceiveService = 21,
	KTS_ExtensionTypePagingGroup = 22,
	KTS_ExtensionTypePagingService = 23,
	KTS_ExtensionTypeVoicemailWithLogin = 24,
	KTS_ExtensionTypeSpyService = 25,
	KTS_ExtensionTypeDayNightModeService = 26,
	KTS_ExtensionTypeBlacklistAddService = 27,
	KTS_ExtensionTypeBlacklistAddLastService = 28,
	KTS_ExtensionTypeBlacklistRemoveService = 29,
	KTS_ExtensionTypeCallParkingParkService = 30,
	KTS_ExtensionTypeCallParkingUnparkService = 31
};

enum KTS_FeatureCodeType {
	KTS_FeatureCodeTypeBlindTransfer = 0,
	KTS_FeatureCodeTypeAttendedTransfer = 1,
	KTS_FeatureCodeTypeDisconnect = 2
};

enum KTS_Line {
	KTS_LineSingle = 0,
	KTS_LineMultipleLine = 1,
	KTS_LineMultipleGroup = 2
};

enum KTS_CallStatus {
	KTS_CallStatusConnecting = 0,
	KTS_CallStatusConnected = 1,
	KTS_CallStatusVoicemail = 2,
	KTS_CallStatusFollowme = 3,
	KTS_CallStatusReceiveFax = 4,
	KTS_CallStatusSendFax = 5,
	KTS_CallStatusBusy = 6,
	KTS_CallStatusForbidden = 7,
	KTS_CallStatusBlacklisted = 8,
	KTS_CallStatusPickUp = 9,
	KTS_CallStatusParked = 10,
	KTS_CallStatusUnavailable = 11
};

enum KTS_CallHistoryStatus {
	KTS_CallHistoryStatusUnknown = 0,
	KTS_CallHistoryStatusFailed = 1,
	KTS_CallHistoryStatusBusy = 2,
	KTS_CallHistoryStatusNoAnswer = 3,
	KTS_CallHistoryStatusAnswered = 4,
	KTS_CallHistoryStatusForbidden = 5,
	KTS_CallHistoryStatusVoicemail = 6,
	KTS_CallHistoryStatusFollowme = 7,
	KTS_CallHistoryStatusBlacklisted = 8
};

enum KTS_UserCallHistory {
	KTS_UserCallHistoryMissed = 0,
	KTS_UserCallHistoryIncomming = 1,
	KTS_UserCallHistoryOutgoing = 2
};

enum KTS_NspType {
	KTS_NspTypeWeb = 0,
	KTS_NspTypeSip = 1,
	KTS_NspTypeConsole = 2,
	KTS_NspTypeProvisioning = 3,
	KTS_NspTypeAmi = 4,
	KTS_NspTypeSnmp = 5
};

enum KTS_PacketSnifferSet {
	KTS_PacketSnifferSetIpInc = 0,
	KTS_PacketSnifferSetIpEx = 1,
	KTS_PacketSnifferSetPortInc = 2,
	KTS_PacketSnifferSetPortEx = 3,
	KTS_PacketSnifferSetIpRadio = 4,
	KTS_PacketSnifferSetPortRadio = 5
};

enum KTS_PacketSnifferRadio {
	KTS_PacketSnifferRadioInclude = 0,
	KTS_PacketSnifferRadioExclude = 1,
	KTS_PacketSnifferRadioNone = 2
};

enum KTS_PacketSnifferState {
	KTS_PacketSnifferStateStopped = 0,
	KTS_PacketSnifferStateRunning = 1
};

enum KTS_ScheduleType {
	KTS_ScheduleTypeAbsolute = 0,
	KTS_ScheduleTypePeriodic = 1,
	KTS_ScheduleTypeRepeating = 2
};

enum KTS_SchedulerStatus {
	KTS_SchedulerStatusNormal = 0,
	KTS_SchedulerStatusFailed = 1
};

enum KTS_HwCardTypes {
	KTS_PortPri = 1,
	KTS_PortBri = 2,
	KTS_PortFxo = 3,
	KTS_PortFxs = 4,
	KTS_PortUnknown = 0xffffffff
};

enum KTS_SwitchTypeEnum {
	KTS_PriNational = 1,
	KTS_PriNi1 = 2,
	KTS_PriDms100 = 3,
	KTS_Pri4ess = 4,
	KTS_Pri5ess = 5,
	KTS_PriEuroIsdn = 6,
	KTS_PriQsig = 7
};

enum KTS_VoicemailGreetingStyle {
	KTS_VoicemailGreetingStyleMessageAndInstructions = 0,
	KTS_VoicemailGreetingStyleMessage = 1,
	KTS_VoicemailGreetingStyleInstructions = 2
};

enum KTS_TimeDuration {
	KTS_TimeDurationSeconds = 0,
	KTS_TimeDurationMinutes = 1,
	KTS_TimeDurationHours = 2,
	KTS_TimeDurationDays = 3,
	KTS_TimeDurationMonths = 4
};

enum KTS_ApplyToOutgoingCalls {
	KTS_ApplyToOutgoingCallsAll = 0,
	KTS_ApplyToOutgoingCallsListedOnly = 1,
	KTS_ApplyToOutgoingCallsAllExceptListed = 2
};

enum KTS_ExternalInterfacePriType {
	KTS_ExternalInterfacePriTypeE1 = 0,
	KTS_ExternalInterfacePriTypeT1 = 1,
	KTS_ExternalInterfaceBri = 2,
	KTS_ExternalInterfacePriTypeNotPri = 3
};

enum KTS_ExternalInterfacePriMode {
	KTS_ExternalInterfacePriModeDefault = 0,
	KTS_ExternalInterfacePriModeE1 = 1,
	KTS_ExternalInterfacePriModeT1 = 2
};

enum KTS_UserCallForwardingBackgroundType {
	KTS_UserCallForwardingBackgroundPlsHold = 0,
	KTS_UserCallForwardingBackgroundRinging = 1,
	KTS_UserCallForwardingBackgroundMoh = 2,
	KTS_UserCallForwardingBackgroundSilence = 3
};

enum KTS_AmiUserRights {
	KTS_AmiUserRightsOriginate = 0,
	KTS_AmiUserRightsNotify = 1,
	KTS_AmiUserRightsManipulate = 2,
	KTS_AmiUserRightsEverything = 3
};

enum KTS_SYNCHRONISATION {
	KTS_SYNCHRONISED = 0,
	KTS_SYNCHRONISATION_REQUESTED = 1,
	KTS_SYNCHRONISATION_FAILED = 2,
	KTS_SYNCHRONISATION_IN_PROGRESS = 3
};

#define KTS_SipUsernameExp "^_telNum_([a-z][a-z0-9]*)?$"

#define KTS_TransformBetterDialedNumberExp "[^0-9+#*]"

enum KTS_GatewayType {
	KTS_GatewayNone = 0,
	KTS_GatewayManual = 1,
	KTS_GatewayDhcp = 2
};

enum KTS_SoftPhoneType {
	KTS_SoftPhoneUnknown = 0,
	KTS_SoftPhoneApple = 1,
	KTS_SoftPhoneAndroid = 2
};

#define KTS_SoftPhonesMaxExtensions 4

enum KTS_DhcpLeaseType {
	KTS_DhcpLeaseTypeStatic = 0,
	KTS_DhcpLeaseTypeDynamic = 1
};

enum KTS_DhcpTftpServerOption {
	KTS_DhcpTftpServerDisabled = 0,
	KTS_DhcpTftpServerAuto = 1,
	KTS_DhcpTftpServerManual = 2
};

enum KTS_ProvTrustLevel {
	KTS_ProvTrustUnsigned = 0,
	KTS_ProvTrustSigned = 1,
	KTS_ProvTrustOfficial = 2
};

enum KTS_UserBlfState {
	KTS_UserBlfStateOffline = 0,
	KTS_UserBlfStateIdle = 1,
	KTS_UserBlfStateBusy = 2,
	KTS_UserBlfStateRing = 3
};

enum KTS_RemoteStorageProtocol {
	KTS_RemoteStorageProtocolFtp = 0,
	KTS_RemoteStorageProtocolSp = 1,
	KTS_RemoteStorageProtocolMyKerio = 2
};

enum KTS_FaxDetectType {
	KTS_FaxDetectTypeAnDeDi = 0,
	KTS_FaxDetectTypeDiAnDe = 1,
	KTS_FaxDetectTypeAnDeWaDi = 2,
	KTS_FaxDetectTypeAnDeRiWaDi = 3
};

enum KTS_CallDirection {
	KTS_CallDirectionUnknown = 0,
	KTS_CallDirectionIncoming = 1,
	KTS_CallDirectionOutgoing = 2
};

enum KTS_SyncStatus {
	KTS_SyncStatusSynced = 0,
	KTS_SyncStatusInProgress = 1,
	KTS_SyncStatusNotSynced = 2,
	KTS_SyncStatusFailed = 3,
	KTS_SyncStatusNeverProvisioned = 4
};

enum KTS_OverrideMergeState {
	KTS_OverrideMerged = 0,
	KTS_OverrideUnmerged = 1,
	KTS_OverrideMergeFailed = 2
};

enum KTS_OverrideContentVersion {
	KTS_OverrideContentBase = 0,
	KTS_OverrideContentOrig = 1,
	KTS_OverrideContentNew = 2,
	KTS_OverrideContentCurrent = 3
};

enum KTS_VoicemailDirectDialingAnnouncement {
	KTS_VoicemailDirectDialingAnnouncementInstructions = 0,
	KTS_VoicemailDirectDialingAnnouncementBusy = 1,
	KTS_VoicemailDirectDialingAnnouncementUnavailable = 2,
	KTS_VoicemailDirectDialingAnnouncementBusyInstructions = 3,
	KTS_VoicemailDirectDialingAnnouncementUnavailableInstructions = 4,
	KTS_VoicemailDirectDialingAnnouncementNone = 5
};

enum KTS_ProvFirmwareRole {
	KTS_ProvFirmwareRoleFirmware = 0,
	KTS_ProvFirmwareRoleLogo = 1,
	KTS_ProvFirmwareRoleOther = 2
};

enum KTS_VoicemailGreeting {
	KTS_VoicemailGreetingBusy = 1,
	KTS_VoicemailGreetingUnavailable = 2,
	KTS_VoicemailGreetingTemporary = 4,
	KTS_VoicemailGreetingName = 8
};

enum KTS_SystemBackupState {
	KTS_SystemBackupStateIdle = 0,
	KTS_SystemBackupStateRunning = 1,
	KTS_SystemBackupStateDownloadAvailable = 2,
	KTS_SystemBackupStateUploading = 3,
	KTS_SystemBackupStateTesting = 4,
	KTS_SystemBackupStateRestoreReady = 5
};

enum KTS_KerioConnectCallState {
	KTS_KerioConnectCallStateUnknown = 0,
	KTS_KerioConnectCallStatePickUp = 1,
	KTS_KerioConnectCallStateRinging = 2,
	KTS_KerioConnectCallStateConnected = 3
};

enum KTS_SpyMode {
	KTS_SpyModeSilent = 0,
	KTS_SpyModeWhisper = 1,
	KTS_SpyModeBarge = 2
};

enum KTS_SipTransportProto {
	KTS_SipTransportProtoUdp = 0,
	KTS_SipTransportProtoTcp = 1,
	KTS_SipTransportProtoTls = 2
};

enum KTS_CallQueueAgentStatus {
	KTS_CallQueueAgentStatusIdle = 1,
	KTS_CallQueueAgentStatusInUse = 2,
	KTS_CallQueueAgentStatusOffline = 5,
	KTS_CallQueueAgentStatusRinging = 6
};

enum KTS_BusyAction {
	KTS_BusyActionNone = 0,
	KTS_BusyActionVoicemail = 1,
	KTS_BusyActionTone = 2
};

enum KTS_OutgoingRouteType {
	KTS_OutgoingTypeSingleNumber = 0,
	KTS_OutgoingTypeInboundRoutingTable = 1,
	KTS_OutgoingTypeRewriteRules = 2
};

enum KTS_DtmfMode {
	KTS_DtmfModeAuto = 0,
	KTS_DtmfModeRfc2833 = 1,
	KTS_DtmfModeInfo = 2,
	KTS_DtmfModeInband = 3
};

enum KTS_CalledNumberHeader {
	KTS_CalledNumberHeaderInvite = 0,
	KTS_CalledNumberHeaderTo = 1,
	KTS_CalledNumberHeaderAssertedIdetity = 2,
	KTS_CalledNumberHeaderPreferredIdentity = 3,
	KTS_CalledNumberHeaderRemotePartyId = 4
};

enum KTS_CallingNumberHeader {
	KTS_CallingNumberHeaderFrom = 0,
	KTS_CallingNumberHeaderAssertedIdetity = 1,
	KTS_CallingNumberHeaderPreferredIdentity = 2,
	KTS_CallingNumberHeaderRemotePartyId = 3
};

enum KTS_DiskSpaceWarnLevel {
	KTS_DiskSpaceOk = 0,
	KTS_DiskSpaceLow = 1,
	KTS_DiskSpaceCritical = 2
};

enum KTS_StorageCategory {
	KTS_StorageDataLogs = 0,
	KTS_StorageDataCrash = 1,
	KTS_StorageDataPktdump = 2,
	KTS_StorageDataVoiceMail = 3,
	KTS_StorageDataRecordedCalls = 4,
	KTS_StorageDataAudioFiles = 5,
	KTS_StorageDataDatabase = 6,
	KTS_StorageDataFirmwares = 7,
	KTS_StorageDataOther = 8,
	KTS_StorageDataFsOverhead = 9
};

#define KTS_DiskSpaceReserveHysteresisMb 20

#define KTS_DiskSpaceReserveMb 100

#define KTS_DiskSpaceMinimumMb 200

#define KTS_DiskSpaceWarnMb 500

#define OPERATOR_PortLdap 389

#define OPERATOR_PortLdaps 636

#define KTS_UPDATECHECKER_URL "https://update.kerio.com/checknew.php"

#define KTS_LICENSE_UPDATE_URL "https://register.kerio.com/registration/LD.php"

#define KTS_UPDATECHECKER_DIR "/var/operator/updates/"

#define KTS_UPDATECHECKER_STATUS "/tmp/updateChecker.status"

#define KTS_UPDATECHECKER_UPGRADE_STATUS "/tmp/status/upgrade/status"

#define KTS_UPDATECHECKER_UPGRADE_ERROR "/tmp/status/upgrade/error"

#define OPERATOR_WebrtcUserAgent "OperatorWebrtc"

#define KTS_WebEvDead "WebEvDead"

#define KTS_WebEvAlive "WebEvAlive"

#define KTS_WebEvReload "WebEvReload"

#define KTS_WebEvWebrtcAcquired "WebEvWebrtcAcquired"

#define KTS_WebEvVoicemail "WebEvVoicemail"

#define KTS_WebEvBlf "WebEvBlf"

#define KTS_WebEvRegistrations "WebEvRegistrations"

#define KTS_WebEvActiveCalls "WebEvActiveCalls"

#define KTS_WebEvHistoryRefresh "WebEvHistoryRefresh"

#define OPERATOR_TurnserverPort 3478

#define OPERATOR_TurnserverPortAlt 3479

#define OPERATOR_TurnserverKeyFile "/tmp/turnserver.key"

enum KTS_FramingType {
	KTS_FramingTypeStatic = 0,
	KTS_FramingTypeDynamic = 1
};

#endif	/* _LIB_CONSTANTS_H */
