#ifndef COMMON_H
#define	COMMON_H

#include <boostWrapper.h>
#include <boost/algorithm/string.hpp>
#include <boost/assign.hpp>
#include <boost/bind.hpp>
#include <boost/foreach.hpp>
#include <boost/make_shared.hpp>
#include <boost/property_tree/json_parser.hpp>
#include <boost/property_tree/ptree.hpp>
#include <boost/range/adaptor/map.hpp>
#include <boost/regex.hpp>
#include <boost/shared_ptr.hpp>
#include <iostream>
#include <map>
#include <sched.h>
#include <set>
#include <string>
#include <sys/stat.h>
#include <time.h>
#include <vector>

#include <AstModDataStructures.h>
#include <libConstants.h>

#include "Interface.h"

#ifndef AST_MODULE
#define AST_MODULE "kerio"
#endif
#include <libSqlite.h>

extern "C" {
#include "module.h" /* module.h contains logger.h + macro redefinitions */
}

#define mailCommand "/opt/kerio/operator/bin/sendMail"
#define ENDL "\r\n"

typedef std::map<std::string, std::string> MapString;
typedef std::map<std::string, int> MapInt;
typedef std::map<std::string, bool> MapBool;

FILE *vm_mkftemp(char *tmpl);
std::string getExtFromChannel(const std::string &channel);
bool shellExec(const std::string cmd, std::string &output);
bool fileChanged(const char *filename, int &lastTimestamp);

bool isNumberValid(const std::string number);

struct timeval ast_tvmin(struct timeval a, struct timeval b);

bool parseJson(const char *jsonString, MapString *outStr = NULL, MapInt *outInt = NULL, MapBool *outBool = NULL);
struct ast_json *createJson(const MapString *inStr = NULL, const MapInt *inInt = NULL, const MapBool *inBool = NULL);
std::string createJsonString(const MapString *inStr = NULL, const MapInt *inInt = NULL, const MapBool *inBool = NULL);

class AsteriskChannelLock {
	struct ast_channel *c;
	bool locked;
	std::string name;
public:
	AsteriskChannelLock(struct ast_channel *c);
	~AsteriskChannelLock();
	bool lock();
	void unlock();
};
#endif	/* COMMON_H */

