#ifndef ROUTING_H
#define	ROUTING_H

#include "Common.h"

class Routing {
private:

	typedef std::vector<RoutingTableItem> RoutingTable;
	typedef std::map<std::string, RoutingTable> RoutingTableIncoming; /* <interface, RoutingTable> */
	typedef std::map<int, RoutingTable> RoutingTableOutgoing; /* <routeId, RoutingTable> */

	RoutingTableIncoming routingTableIncoming;
	RoutingTableOutgoing routingTableOutgoing;

public:
	Routing();
	~Routing();
	void print(const int fd);
	std::string find_incoming(const char *interface, const char *number);
	std::string find_incoming_rev(const char *interface, const char *number);
	std::string find_outgoing(const char *routeId, const char *number);
	bool is_hidden(const char *routeId, const char *number);
};

#endif	/* ROUTING_H */
