#ifndef SECURITY_H
#define	SECURITY_H

#include "Common.h"

class Security {
private:
	bool loaded;
	SqliteWrapper sqlite;
	Lock sqliteLock;

	/* fields from the kts configuration database */
	int ruleSipAttackCount;
	int ruleDuration;
	int actionBlockDuration;
	bool actionEmailAlertEnabled;
	std::set<std::string> firewallAllowedAddresses;

	void updateLoginFailures();
	void emailNotification(const struct sockaddr_in *sin, const int failureCount, const time_t tNow, const time_t tTo);
	void firewallBlockAddress(const struct sockaddr_in *sin);
	void firewallAllowAddress(const struct sockaddr_in *sin);
public:
	Security();
	~Security();
	void print(const int fd);
	int authCheck(const struct sockaddr_in *sin, const char *user);
	void authFailure(const struct sockaddr_in *sin, const char *user);
	void authSuccess(const struct sockaddr_in *sin, const char *user);
};

#endif	/* SECURITY_H */
