#ifndef MODULE_H
#define	MODULE_H

#include <asterisk.h>
#include <asterisk/module.h>
#include <asterisk/channel.h>
#include <asterisk/bridge.h>
#include <asterisk/pbx.h>
#include <asterisk/logger.h>
#include <asterisk/utils.h>
#include <asterisk/app.h>
#include <asterisk/config.h>
#include <asterisk/cli.h>
#include <asterisk/cdr.h>
#include <asterisk/callerid.h>
#include <asterisk/lock.h>
#include <asterisk/paths.h>
#include <asterisk/frame.h>
#include <asterisk/format.h>
#include <asterisk/cel.h>
#include <asterisk/stasis.h>
#include <asterisk/stasis_channels.h>
#include <asterisk/stasis_message_router.h>


/* logger - override - dont display full path in logs - bug 56696 */
#ifndef __SHORT_FORM_OF_FILE__
#define __SHORT_FORM_OF_FILE__ \
(strrchr(__FILE__,'/') \
? strrchr(__FILE__,'/')+1 \
: __FILE__ \
)
#endif /* __SHORT_FORM_OF_FILE__ */

#ifdef _A_
#undef _A_
#define _A_ __SHORT_FORM_OF_FILE__, __LINE__, __PRETTY_FUNCTION__
#endif /* _A_ */

#ifdef ast_verbose
#undef ast_verbose
		#define ast_verbose(...) __ast_verbose(__SHORT_FORM_OF_FILE__, __LINE__, __PRETTY_FUNCTION__,  __VA_ARGS__)
#endif /* ast_verbose */
/* end of logger - override  */


void ami_send_message(struct stasis_message_type *type, struct ast_json *json_object);

#endif	/* MODULE_H */

